package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsUserWatch;

/**
 * 用户腕Mapper接口
 *
 * @author fs
 * @date 2024-11-14
 */
public interface FsUserWatchMapper
{
    /**
     * 查询用户腕
     *
     * @param id 用户腕主键
     * @return 用户腕
     */
    public FsUserWatch selectFsUserWatchById(Long id);

    /**
     * 查询用户腕列表
     *
     * @param fsUserWatch 用户腕
     * @return 用户腕集合
     */
    public List<FsUserWatch> selectFsUserWatchList(FsUserWatch fsUserWatch);

    /**
     * 新增用户腕
     *
     * @param fsUserWatch 用户腕
     * @return 结果
     */
    public int insertFsUserWatch(FsUserWatch fsUserWatch);

    /**
     * 修改用户腕
     *
     * @param fsUserWatch 用户腕
     * @return 结果
     */
    public int updateFsUserWatch(FsUserWatch fsUserWatch);

    /**
     * 删除用户腕
     *
     * @param id 用户腕主键
     * @return 结果
     */
    public int deleteFsUserWatchById(Long id);

    /**
     * 批量删除用户腕
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsUserWatchByIds(Long[] ids);

    /**
     * 根据userId查询最新得一条记录
     * @param userId 用户id
     * @return FsUserWatch
     */
    FsUserWatch getLastByUserId(Long userId);
}
